<div class="row">
  <app-login-icon></app-login-icon>
</div>

<div *ngIf="info.token; else loggedOut">
  <form>
    <div style="margin-left: 35%">
      <div style="width: 50%" id="svg_wrap"></div>
    </div>

    <div style="text-align: center">
      <section>
        <div style="width: 80%; margin: auto">
          <h1>Comment vas-tu aujourd'hui ?</h1>
          <div style="margin-top: 50px">
            <h1>Moralement ?</h1>
            <label class="labelMood">
              <input
                class="inputMood"
                type="radio"
                name="mood"
                value="MOOD_VERYBAD"
                [(ngModel)]="mood.moodModel"
              />
              <img src="assets/img/veryBadB.png" />
            </label>

            <label class="labelMood">
              <input
                class="inputMood"
                type="radio"
                name="mood"
                value="MOOD_BAD"
                [(ngModel)]="mood.moodModel"
              />
              <img src="assets/img/badB.png" />
            </label>

            <label class="labelMood">
              <input
                class="inputMood"
                type="radio"
                name="mood"
                value="MOOD_NEUTRAL"
                [(ngModel)]="mood.moodModel"
              />
              <img src="assets/img/neutralB.png" />
            </label>

            <label class="labelMood">
              <input
                class="inputMood"
                type="radio"
                name="mood"
                value="MOOD_GOOD"
                [(ngModel)]="mood.moodModel"
              />
              <img src="assets/img/goodB.png" />
            </label>

            <label class="labelMood">
              <input
                class="inputMood"
                type="radio"
                name="mood"
                value="MOOD_VERYGOOD"
                [(ngModel)]="mood.moodModel"
              />
              <img src="assets/img/veryGoodB.png" />
            </label>
          </div>

          <div style="margin-top: 20px">
            <h1>Physiquement ?</h1>
            <label class="labelMood">
              <input
                class="inputMood2"
                type="radio"
                name="mood"
                value="MOOD_1"
                [(ngModel)]="mood.physicalMood"
              />
              <img src="assets/img/veryBadB.png" />
            </label>

            <label class="labelMood">
              <input
                class="inputMood2"
                type="radio"
                name="mood"
                value="MOOD_2"
                [(ngModel)]="mood.physicalMood"
              />
              <img src="assets/img/badB.png" />
            </label>

            <label class="labelMood">
              <input
                class="inputMood2"
                type="radio"
                name="mood"
                value="MOOD_3"
                [(ngModel)]="mood.physicalMood"
              />
              <img src="assets/img/neutralB.png" />
            </label>

            <label class="labelMood">
              <input
                class="inputMood2"
                type="radio"
                name="mood"
                value="MOOD_4"
                [(ngModel)]="mood.physicalMood"
              />
              <img src="assets/img/goodB.png" />
            </label>

            <label class="labelMood">
              <input
                class="inputMood2"
                type="radio"
                name="mood"
                value="MOOD_5"
                [(ngModel)]="mood.physicalMood"
              />
              <img src="assets/img/veryGoodB.png" />
            </label>
          </div>
        </div>
      </section>

      <section style="text-align: center">
        <div style="width: 80%; margin: auto">
          <h1 id="milieu">
            Très bien ... On reste à l'intérieur ou à l'extérieur ?
          </h1>
          <p style="text-align: center">
            Pssst... Des études scientifiques ont montré que sortir peut
            permettre de remonter l'humeur en général. Je dis ça, je dis rien.
          </p>
          <div class="row switch">
            <input
              name="switch"
              class="switchRadio"
              id="one"
              type="radio"
              value="MOOD_IN"
              [(ngModel)]="mood.location"
            />
            <label for="one" class="switch__label">Intérieur</label>
            <input
              name="switch"
              class="switchRadio"
              id="two"
              type="radio"
              value="MOOD_IDC"
              [(ngModel)]="mood.location"
              checked
            />
            <label for="two" class="switch__label">Peu Importe</label>
            <input
              name="switch"
              class="switchRadio"
              id="three"
              type="radio"
              value="MOOD_OUT"
              [(ngModel)]="mood.location"
            />
            <label for="three" class="switch__label">Extérieur</label>
            <span class="switch__indicator"></span>
          </div>

          <div class="row" style="margin-top: 30px">
            <h1 id="milieu">Et au niveau du budget ?</h1>

            <p style="text-align: center; margin: 0">Budget maximum:</p>

            <input
              type="number"
              id="budgetMax"
              name="tentacles"
              style="width: 100px; margin-top: 20px"
              [(ngModel)]="mood.budget"
              min="0"
              max="1000"
            />
          </div>
        </div>
      </section>

      <section>
        <div style="width: 80%; margin: auto; margin-top: 10%">
          <h1>Et à part ça... Des envies particulières ?</h1>
          <p style="text-align: center">
            Pssst... Toutes ces activités ont été scientifiquement prouvé de
            remonter l'humeur en général. Tu n'as que l'embarras du choix... ou
            pas.
          </p>
          <input
            class="radioButtonCategory"
            type="radio"
            name="rb"
            id="rb1"
            value="MOOD_MUSIC"
            [(ngModel)]="mood.category"
            name="category1"
          />
          <label class="radioButtonLabel" for="rb1">Musique</label>

          <input
            class="radioButtonCategory"
            type="radio"
            name="rb"
            id="rb2"
            value="MOOD_SPORT"
            [(ngModel)]="mood.category"
            name="category2"
          />
          <label class="radioButtonLabel" for="rb2">Sport</label>

          <input
            class="radioButtonCategory"
            type="radio"
            name="rb"
            id="rb3"
            value="MOOD_MEDITATION"
            [(ngModel)]="mood.category"
            name="category3"
          />
          <label class="radioButtonLabel" for="rb3">Méditation</label>

          <input
            class="radioButtonCategory"
            type="radio"
            name="rb"
            id="rb4"
            value="MOOD_CULTURE"
            [(ngModel)]="mood.category"
            name="category4"
          />
          <label class="radioButtonLabel" for="rb4">Culture</label>

          <input
            class="radioButtonCategory"
            type="radio"
            name="rb"
            id="rb5"
            value="MOOD_ART"
            [(ngModel)]="mood.category"
            name="category5"
          />
          <label class="radioButtonLabel" for="rb5">Art</label>
        </div>
      </section>

      <div class="button" id="prev">&larr;</div>
      <div class="button" id="next">&rarr;</div>
      <button class="button" id="submit" type="submit" (click)="addMood()">
        Envoyer
      </button>
    </div>
  </form>
</div>

<ng-template #loggedOut>
  <div style="text-align: center">
    <h1 id="loggedOutMess" class="animate__animated animate__zoomIn">
      Inscris-toi ou connectes-toi <br />pour profiter de toutes les
      fonctionnalités<br />
      de MOOD !
    </h1>
    <a
      id="loggedOutLink"
      class="animate__animated animate__bounceInUp animate__delay-1s"
      href="/sign-in"
      >Cliques ici !</a
    >
  </div>
</ng-template>
